## firmware-nonfree 20221214

=== debian/changelog ===
firmware-nonfree (20221214-3) unstable; urgency=medium

  * iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX211
  * iwlwifi: Add version information for ibt-0041-0041.ddc (Intel Wireless
    AX2100 Bluethooth configuration)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 Dec 2022 17:32:01 +0100

firmware-nonfree (20221214-2) unstable; urgency=medium

  [ Ben Hutchings ]
  * d/salsa-ci.yml: Set changelog suite to UNRELEASED to avoid lintian error
  * d/salsa-ci.yml: Run extract-source job in target release, not unstable

  [ Salvatore Bonaccorso ]
  * amd-graphics: amdgpu: add SMU 13.0.0 firmware for amd-5.4 (Closes: #1026391)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 19 Dec 2022 21:36:20 +0100

firmware-nonfree (20221214-1) unstable; urgency=medium

  * New upstream version:
    - amdgpu: update green sardine DMCUB firmware
    - amdgpu: update sdma_5.2.7 firmware
    - rtl_bt: Update RTL8821C BT(USB I/F) FW to 0x75b8_f098
    - brcm: add/update firmware files for brcmfmac driver
    - amdgpu: updated navi12 firmware for amd-5.4
    - amdgpu: updated renoir firmware for amd-5.4
    - amdgpu: updated navi14 firmware for amd-5.4
    - amdgpu: updated arcture firmware for amd-5.4
    - amdgpu: updated sienna cichlid firmware for amd-5.4
    - amdgpu: updated green sardine firmware for amd-5.4
    - amdgpu: updated navy flounder firmware for amd-5.4
    - amdgpu: updated picasso firmware for amd-5.4
    - amdgpu: updated vangogh firmware for amd-5.4
    - amdgpu: updated dimgrey cavefish firmware for amd-5.4
    - amdgpu: updated beige goby firmware for amd-5.4
    - amdgpu: updated vega10 firmware for amd-5.4
    - amdgpu: add SMU 13.0.0 firmware for amd-5.4
    - amdgpu: updated PSP 13.0.5 firmware for amd-5.4
    - amdgpu: updated vega20 firmware for amd-5.4
    - amdgpu: updated GC 10.3.7 RLC firmware for amd-5.4
    - amdgpu: updated PSP 13.0.8 firmware for amd-5.4
    - amdgpu: updated raven firmware for amd-5.4
    - amdgpu: updated raven2 firmware for amd-5.4
    - amdgpu: updated yellow carp firmware for amd-5.4
    - amdgpu: updated navi10 firmware for amd-5.4

  [ Salvatore Bonaccorso ]
  * Update to linux-support 6.0.0-6
  * misc-nonfree: linux-firmware: update firmware for MT7921 WiFi device
  * misc-nonfree: linux-firmware: update firmware for mediatek bluetooth chip
    (MT7921)
  * misc-nonfree: i915: Add DMC v2.08 for DG2
  * atheros: QCA: Add Bluetooth firmware for WCN785x
  * amd-graphics: amdgpu: updated aldebaran firmware for amd-5.4
  * amd-graphics: amdgpu: add DCN 3.2.0 firmware for amd-5.4
  * amd-graphics: amdgpu: add GC 11.0.0 firmware for amd-5.4
  * amd-graphics: amdgpu: add PSP 13.0.0 firmware for amd-5.4
  * amd-graphics: amdgpu: Add SDMA 6.0.0 firmware for amd-5.4
  * amd-graphics: amdgpu: add VCN 4.0.0 firmware for amd-5.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 16 Dec 2022 17:54:21 +0100

=== debian/control ===
Source: firmware-nonfree
Section: non-free/kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.0.1
Build-Depends: debhelper-compat (= 13)
Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
XS-Autobuild: yes

Package: firmware-linux
Architecture: all
Section: non-free/metapackages
Depends: firmware-linux-free, firmware-linux-nonfree (= ${binary:Version}), ${misc:Depends}
Recommends: intel-microcode, amd64-microcode
Description: Binary firmware for various drivers in the Linux kernel (metapackage)
 This package depends on both free and non-free firmware which may be used
 with drivers in the Linux kernel.

Package: firmware-linux-nonfree
Architecture: all
Section: non-free/metapackages
Depends: firmware-misc-nonfree (= ${binary:Version}), firmware-amd-graphics (= ${binary:Version}), ${misc:Depends}
Recommends: intel-microcode, amd64-microcode
Description: Binary firmware for various drivers in the Linux kernel (metapackage)
 This package depends on non-free firmware which may be used with drivers
 in the Linux kernel.

Package: firmware-qcom-media
Architecture: all
Section: non-free/oldlibs
Depends: firmware-qcom-soc, ${misc:Depends}
Multi-Arch: foreign
Description: Binary firmware for Qualcomm graphics/video (dummy package)
 This is a dummy transitional package.  It can be safely removed.

Package: firmware-amd-graphics
Architecture: all
Provides: 
Depends: ${misc:Depends}
Recommends: 
Suggests: initramfs-tools
Replaces: firmware-linux-nonfree (<< 20151018-1~)
Breaks: firmware-linux-nonfree (<< 20151018-1~)
Conflicts: 
Multi-Arch: foreign
Description: Binary firmware for AMD/ATI graphics chips
 This package contains the binary firmware for AMD/ATI graphics chips
 supported by the radeon, amdgpu and r128 drivers.
 .
 Contents:
  * "Aldebaran" MEC firmware (amdgpu/aldebaran_mec.bin)
  * "Aldebaran" MEC2 firmware (amdgpu/aldebaran_mec2.bin)
  * "Aldebaran" RLC firmware (amdgpu/aldebaran_rlc.bin)
  * "Aldebaran" SJT MEC firmware (amdgpu/aldebaran_sjt_mec.bin)
  * "Aldebaran" SJT MEC2 firmware (amdgpu/aldebaran_sjt_mec2.bin)
  * "Aldebaran" SDMA firmware (amdgpu/aldebaran_sdma.bin)
  * "Aldebaran" SMC firmware (amdgpu/aldebaran_smc.bin)
  * "Aldebaran" SOS firmware (amdgpu/aldebaran_sos.bin)
  * "Aldebaran" TA firmware (amdgpu/aldebaran_ta.bin)
  * "Aldebaran" VCN firmware (amdgpu/aldebaran_vcn.bin)
  * "Arcturus" ASDN firmware (amdgpu/arcturus_asd.bin)
  * "Arcturus" GPU info firmware (amdgpu/arcturus_gpu_info.bin)
  * "Arcturus" MEC2 firmware (amdgpu/arcturus_mec2.bin)
  * "Arcturus" MEC firmware (amdgpu/arcturus_mec.bin)
  * "Arcturus" RLC firmware (amdgpu/arcturus_rlc.bin)
  * "Arcturus" SDMA firmware (amdgpu/arcturus_sdma.bin)
  * "Arcturus" SMC firmware (amdgpu/arcturus_smc.bin)
  * "Arcturus" SOS firmware (amdgpu/arcturus_sos.bin)
  * "Arcturus" TA firmware (amdgpu/arcturus_ta.bin)
  * "Arcturus" VCN firmware (amdgpu/arcturus_vcn.bin)
  * "Banks" K-2 SMC microcode (amdgpu/banks_k_2_smc.bin)
  * "Beige Goby" CE firmware (amdgpu/beige_goby_ce.bin)
  * "Beige Goby" DMCUB firmware (amdgpu/beige_goby_dmcub.bin)
  * "Beige Goby" ME firmware (amdgpu/beige_goby_me.bin)
  * "Beige Goby" MEC firmware (amdgpu/beige_goby_mec.bin)
  * "Beige Goby" MEC2 firmware (amdgpu/beige_goby_mec2.bin)
  * "Beige Goby" PFP firmware (amdgpu/beige_goby_pfp.bin)
  * "Beige Goby" RLC firmware (amdgpu/beige_goby_rlc.bin)
  * "Beige Goby" SDMA firmware (amdgpu/beige_goby_sdma.bin)
  * "Beige Goby" SMC firmware (amdgpu/beige_goby_smc.bin)
  * "Beige Goby" SOS firmware (amdgpu/beige_goby_sos.bin)
  * "Beige Goby" TA firmware (amdgpu/beige_goby_ta.bin)
  * "Beige Goby" VCN firmware (amdgpu/beige_goby_vcn.bin)
  * Radeon HD 7790/8770/8950 CE microcode (amdgpu/bonaire_ce.bin)
  * Radeon HD 7790/8770/8950 K SMC microcode (amdgpu/bonaire_k_smc.bin)
  * Radeon HD 7790/8770/8950 MC microcode (amdgpu/bonaire_mc.bin)
  * Radeon HD 7790/8770/8950 ME microcode (amdgpu/bonaire_me.bin)
  * Radeon HD 7790/8770/8950 MEC microcode (amdgpu/bonaire_mec.bin)
  * Radeon HD 7790/8770/8950 PFP microcode (amdgpu/bonaire_pfp.bin)
  * Radeon HD 7790/8770/8950 RLC microcode (amdgpu/bonaire_rlc.bin)
  * Radeon HD 7790/8770/8950 SDMA microcode (amdgpu/bonaire_sdma.bin)
  * Radeon HD 7790/8770/8950 SDMA1 microcode (amdgpu/bonaire_sdma1.bin)
  * Radeon HD 7790/8770/8950 series SMC microcode
    (amdgpu/bonaire_smc.bin)
  * Radeon HD 7790/8770/8950 UVD microcode (amdgpu/bonaire_uvd.bin)
  * Radeon HD 7790/8770/8950 VCE microcode (amdgpu/bonaire_vce.bin)
  * "Carrizo" CE firmware (amdgpu/carrizo_ce.bin)
  * "Carrizo" ME firmware (amdgpu/carrizo_me.bin)
  * "Carrizo" MEC firmware (amdgpu/carrizo_mec.bin)
  * "Carrizo" MEC2 firmware (amdgpu/carrizo_mec2.bin)
  * "Carrizo" PFP firmware (amdgpu/carrizo_pfp.bin)
  * "Carrizo" RLC firmware (amdgpu/carrizo_rlc.bin)
  * "Carrizo" SDMA firmware (amdgpu/carrizo_sdma.bin)
  * "Carrizo" SDMA1 firmware (amdgpu/carrizo_sdma1.bin)
  * "Carrizo" UVD firmware, version 1.87 (amdgpu/carrizo_uvd.bin)
  * "Carrizo" VCE firmware (amdgpu/carrizo_vce.bin)
  * "Cyan Skillfish2" CE firmware (amdgpu/cyan_skillfish2_ce.bin)
  * "Cyan Skillfish2" ME firmware (amdgpu/cyan_skillfish2_me.bin)
  * "Cyan Skillfish2" MEC firmware (amdgpu/cyan_skillfish2_mec.bin)
  * "Cyan Skillfish2" MEC2 firmware (amdgpu/cyan_skillfish2_mec2.bin)
  * "Cyan Skillfish2" PFP firmware (amdgpu/cyan_skillfish2_pfp.bin)
  * "Cyan Skillfish2" RLC firmware (amdgpu/cyan_skillfish2_rlc.bin)
  * "Cyan Skillfish2" SDMA firmware (amdgpu/cyan_skillfish2_sdma.bin)
  * "Cyan Skillfish2" SDMA1 firmware (amdgpu/cyan_skillfish2_sdma1.bin)
  * DCN 3.1.5 DMCUB firmware (amdgpu/dcn_3_1_5_dmcub.bin)
  * DCN 3.1.6 DMCUB firmware (amdgpu/dcn_3_1_6_dmcub.bin)
  * DCN 3.2.0 DMCUB firmware (amdgpu/dcn_3_2_0_dmcub.bin)
  * "Dimgrey Cavefish" CE firmware (amdgpu/dimgrey_cavefish_ce.bin)
  * "Dimgrey Cavefish" DMCUB firmware
    (amdgpu/dimgrey_cavefish_dmcub.bin)
  * "Dimgrey Cavefish" ME firmware (amdgpu/dimgrey_cavefish_me.bin)
  * "Dimgrey Cavefish" MEC firmware (amdgpu/dimgrey_cavefish_mec.bin)
  * "Dimgrey Cavefish" MEC2 firmware (amdgpu/dimgrey_cavefish_mec2.bin)
  * "Dimgrey Cavefish" PFP firmware (amdgpu/dimgrey_cavefish_pfp.bin)
  * "Dimgrey Cavefish" RLC firmware (amdgpu/dimgrey_cavefish_rlc.bin)
  * "Dimgrey Cavefish" SDMA firmware (amdgpu/dimgrey_cavefish_sdma.bin)
  * "Dimgrey Cavefish" SMC firmware (amdgpu/dimgrey_cavefish_smc.bin)
  * "Dimgrey Cavefish" SOS firmware (amdgpu/dimgrey_cavefish_sos.bin)
  * "Dimgrey Cavefish" TA firmware (amdgpu/dimgrey_cavefish_ta.bin)
  * "Dimgrey Cavefish" VCN firmware (amdgpu/dimgrey_cavefish_vcn.bin)
  * "Fiji" CE firmware (amdgpu/fiji_ce.bin)
  * "Fiji" MC firmware (amdgpu/fiji_mc.bin)
  * "Fiji" ME firmware (amdgpu/fiji_me.bin)
  * "Fiji" MEC firmware (amdgpu/fiji_mec.bin)
  * "Fiji" MEC2 firmware (amdgpu/fiji_mec2.bin)
  * "Fiji" PFP firmware (amdgpu/fiji_pfp.bin)
  * "Fiji" RLC firmware (amdgpu/fiji_rlc.bin)
  * "Fiji" SDMA firmware (amdgpu/fiji_sdma.bin)
  * "Fiji" SDMA1 firmware (amdgpu/fiji_sdma1.bin)
  * "Fiji" SMC firmware (amdgpu/fiji_smc.bin)
  * "Fiji" UVD firmware, version 1.87.12 (amdgpu/fiji_uvd.bin)
  * "Fiji" VCE firmware (amdgpu/fiji_vce.bin)
  * GC 10.3.6 CE firmware (amdgpu/gc_10_3_6_ce.bin)
  * GC 10.3.6 ME firmware (amdgpu/gc_10_3_6_me.bin)
  * GC 10.3.6 MEC firmware (amdgpu/gc_10_3_6_mec.bin)
  * GC 10.3.6 MEC2 firmware (amdgpu/gc_10_3_6_mec2.bin)
  * GC 10.3.6 PFP firmware (amdgpu/gc_10_3_6_pfp.bin)
  * GC 10.3.6 RLC firmware (amdgpu/gc_10_3_6_rlc.bin)
  * GC 10.3.7 CE firmware (amdgpu/gc_10_3_7_ce.bin)
  * GC 10.3.7 ME firmware (amdgpu/gc_10_3_7_me.bin)
  * GC 10.3.7 MEC firmware (amdgpu/gc_10_3_7_mec.bin)
  * GC 10.3.7 MEC2 firmware (amdgpu/gc_10_3_7_mec2.bin)
  * GC 10.3.7 PFP firmware (amdgpu/gc_10_3_7_pfp.bin)
  * GC 10.3.7 RLC firmware (amdgpu/gc_10_3_7_rlc.bin)
  * GC 11.0.0 IMU firmware (amdgpu/gc_11_0_0_imu.bin)
  * GC 11.0.0 ME firmware (amdgpu/gc_11_0_0_me.bin)
  * GC 11.0.0 MEC firmware (amdgpu/gc_11_0_0_mec.bin)
  * GC 11.0.0 MES1 firmware (amdgpu/gc_11_0_0_mes1.bin)
  * GC 11.0.0 MES firmware (amdgpu/gc_11_0_0_mes.bin)
  * GC 11.0.0 PFP firmware (amdgpu/gc_11_0_0_pfp.bin)
  * GC 11.0.0 RLC firmware (amdgpu/gc_11_0_0_rlc.bin)
  * Ryzen 5000 ASD firmware (amdgpu/green_sardine_asd.bin)
  * Ryzen 5000 CE firmware (amdgpu/green_sardine_ce.bin)
  * Ryzen 5000 DMCUB firmware (amdgpu/green_sardine_dmcub.bin)
  * Ryzen 5000 ME firmware (amdgpu/green_sardine_me.bin)
  * Ryzen 5000 MEC2 firmware (amdgpu/green_sardine_mec2.bin)
  * Ryzen 5000 MEC firmware (amdgpu/green_sardine_mec.bin)
  * Ryzen 5000 PFP firmware (amdgpu/green_sardine_pfp.bin)
  * Ryzen 5000 RLC firmware (amdgpu/green_sardine_rlc.bin)
  * Ryzen 5000 SDMA firmware (amdgpu/green_sardine_sdma.bin)
  * Ryzen 5000 TA firmware (amdgpu/green_sardine_ta.bin)
  * Ryzen 5000 VCN firmware (amdgpu/green_sardine_vcn.bin)
  * Radeon HD 8500M series and R5 M200 CE microcode
    (amdgpu/hainan_ce.bin)
  * Radeon HD 8500M series and R5 M200 K SMC microcode
    (amdgpu/hainan_k_smc.bin)
  * Radeon HD 8500M series and R5 M200 MC microcode
    (amdgpu/hainan_mc.bin)
  * Radeon HD 8500M series and R5 M200 ME microcode
    (amdgpu/hainan_me.bin)
  * Radeon HD 8500M series and R5 M200 PFP microcode
    (amdgpu/hainan_pfp.bin)
  * Radeon HD 8500M series and R5 M200 RLC microcode
    (amdgpu/hainan_rlc.bin)
  * Radeon HD 8500M series and R5 M200 SMC microcode
    (amdgpu/hainan_smc.bin)
  * Radeon R9 290 series CE microcode (amdgpu/hawaii_ce.bin)
  * Radeon R9 290 series K SMC microcode (amdgpu/hawaii_k_smc.bin)
  * Radeon R9 290 series MC microcode (amdgpu/hawaii_mc.bin)
  * Radeon R9 290 series ME microcode (amdgpu/hawaii_me.bin)
  * Radeon R9 290 series MEC microcode (amdgpu/hawaii_mec.bin)
  * Radeon R9 290 series PFP microcode (amdgpu/hawaii_pfp.bin)
  * Radeon R9 290 series RLC microcode (amdgpu/hawaii_rlc.bin)
  * Radeon R9 290 series SDMA microcode (amdgpu/hawaii_sdma.bin)
  * Radeon R9 290 series SDMA microcode (amdgpu/hawaii_sdma1.bin)
  * Radeon R9 290 series SMC microcode (amdgpu/hawaii_smc.bin)
  * Radeon R9 290 series UVD microcode (amdgpu/hawaii_uvd.bin)
  * Radeon R9 290 series VCE microcode (amdgpu/hawaii_vce.bin)
  * Radeon HD 8100/8200/8300/8400 series CE microcode
    (amdgpu/kabini_ce.bin)
  * Radeon HD 8100/8200/8300/8400 series ME microcode
    (amdgpu/kabini_me.bin)
  * Radeon HD 8100/8200/8300/8400 series MEC microcode
    (amdgpu/kabini_mec.bin)
  * Radeon HD 8100/8200/8300/8400 series PFP microcode
    (amdgpu/kabini_pfp.bin)
  * Radeon HD 8100/8200/8300/8400 series RLC microcode
    (amdgpu/kabini_rlc.bin)
  * Radeon HD 8100/8200/8300/8400 series SDMA microcode
    (amdgpu/kabini_sdma.bin)
  * Radeon HD 8100/8200/8300/8400 series SDMA1 microcode
    (amdgpu/kabini_sdma1.bin)
  * Radeon HD 8100/8200/8300/8400 series UVD microcode
    (amdgpu/kabini_uvd.bin)
  * Radeon HD 8100/8200/8300/8400 series VCE microcode
    (amdgpu/kabini_vce.bin)
  * Radeon R5/R7 IGP 200 series CE microcode (amdgpu/kaveri_ce.bin)
  * Radeon R5/R7 IGP 200 series ME microcode (amdgpu/kaveri_me.bin)
  * Radeon R5/R7 IGP 200 series MEC microcode (amdgpu/kaveri_mec.bin)
  * Radeon R5/R7 IGP 200 series MEC microcode (amdgpu/kaveri_mec2.bin)
  * Radeon R5/R7 IGP 200 series PFP microcode (amdgpu/kaveri_pfp.bin)
  * Radeon R5/R7 IGP 200 series RLC microcode (amdgpu/kaveri_rlc.bin)
  * Radeon R5/R7 IGP 200 series SDMA microcode (amdgpu/kaveri_sdma.bin)
  * Radeon R5/R7 IGP 200 series SDMA1 microcode
    (amdgpu/kaveri_sdma1.bin)
  * Radeon R5/R7 IGP 200 series UVD microcode (amdgpu/kaveri_uvd.bin)
  * Radeon R5/R7 IGP 200 series VCE microcode (amdgpu/kaveri_vce.bin)

## firmware-nonfree 20230210

=== Makefile ===
# This file implements the GNOME Build API:
# http://people.gnome.org/~walters/docs/build-api.txt

FIRMWAREDIR = /lib/firmware

all:

check:
	@./check_whence.py

install:
	install -d $(DESTDIR)$(FIRMWAREDIR)
	./copy-firmware.sh $(DESTDIR)$(FIRMWAREDIR)

=== carl9170fw/toolchain/Makefile ===
BINUTILS_VER=2.22
BINUTILS_URL=http://mirrors.kernel.org/gnu/binutils/binutils-$(BINUTILS_VER).tar.bz2
BINUTILS_TAR=binutils-$(BINUTILS_VER).tar.bz2

NEWLIB_VER=1.20.0
NEWLIB_URL=ftp://sources.redhat.com/pub/newlib/newlib-$(NEWLIB_VER).tar.gz
NEWLIB_TAR=newlib-$(NEWLIB_VER).tar.gz

GCC_VER=4.7.1
GCC_URL=http://mirrors.kernel.org/gnu/gcc/gcc-$(GCC_VER)/gcc-$(GCC_VER).tar.bz2
GCC_TAR=gcc-$(GCC_VER).tar.bz2

BASEDIR=$(shell pwd)

define checksum
@if grep -q '  $(subst .,\.,$(1))$$' SHA256SUMS; then			\
	grep '  $(subst .,\.,$(1))$$' SHA256SUMS | sha256sum -c;	\
else									\
	echo "WARNING: no checksum defined for $(1)";			\
fi
endef

all: gcc

src/$(BINUTILS_TAR):
	wget -P src $(BINUTILS_URL)
	$(call checksum,$@)

src/$(NEWLIB_TAR):
	wget -P src $(NEWLIB_URL)
	$(call checksum,$@)

src/$(GCC_TAR):
	wget -P src $(GCC_URL)
	$(call checksum,$@)

src/binutils-$(BINUTILS_VER): src/$(BINUTILS_TAR)
	tar -C src -xjf $<

src/newlib-$(NEWLIB_VER): src/$(NEWLIB_TAR)
	tar -C src -xzf $<

src/gcc-$(GCC_VER): src/$(GCC_TAR) src/newlib-$(NEWLIB_VER)
	tar -C src -xjf $<
	ln -s $(BASEDIR)/src/newlib-$(NEWLIB_VER)/newlib $@
	ln -s $(BASEDIR)/src/newlib-$(NEWLIB_VER)/libgloss $@

binutils: src/binutils-$(BINUTILS_VER)
	install -d build/binutils
	cd build/binutils; \
	$(BASEDIR)/$</configure --target=sh-elf --prefix=$(BASEDIR)/inst; \
	$(MAKE) -j3; \
	$(MAKE) install

gcc: src/gcc-$(GCC_VER) binutils
	install -d build/gcc
	cd build/gcc; \
	$(BASEDIR)/$</configure --target=sh-elf --prefix=$(BASEDIR)/inst -enable-languages=c --without-pkgversion --with-newlib; \
	$(MAKE) -j3; \
	$(MAKE) install

clean:
	rm -rf build inst

distclean: clean
	rm -rf src

=== debian/changelog ===
firmware-nonfree (20230210-5) unstable; urgency=medium

  * brcm80211: brcm: rename Rock960 NVRAM to AP6356S and link devices to it
    (Closes: #1035282)
  * Update to linux-support 6.1.0-8

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 01 May 2023 21:30:16 +0200

firmware-nonfree (20230210-4) unstable; urgency=medium

  * iwlwifi: Add missing files entry for iwlwifi-so-a0-hr-b0-72.ucode.
    Thanks to Jonathan Klabunde Tomer (Closes: #1032608)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 11 Mar 2023 15:15:03 +0100

firmware-nonfree (20230210-3) unstable; urgency=medium

  [ Bastian Germann ]
  * firmware-atheros: Remove ath9k_htc from description

  [ Diederik de Haas ]
  * Update to linux-support 6.1.0-6
  * brcm80211: brcm: Restore symlinks from cypress to brcm directory
    (Closes: #1032367)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 11 Mar 2023 14:29:56 +0100

firmware-nonfree (20230210-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * brcm80211: Correct section for brcmfmac43430-sdio.AP6212.txt config
  * Update to linux-support 6.1.0-5

  [ Diederik de Haas ]
  * brcm80211: brcm: Add AzureWave AW-CM256SM NVRAM file
  * brcm80211: brcm: Add symlinks to AW-CM256SM NVRAM file

  [ Bastian Germann ]
  * firmware-atheros: Remove ath9k_htc firmware (Closes: #837385)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 25 Feb 2023 18:02:15 +0100

firmware-nonfree (20230210-1) unstable; urgency=medium

  * New upstream version:
    - amdgpu: update vangogh firmware
    - rtw88: 8822c: Update normal firmware to v9.9.14
    - brcm: restore previous firmware file for BCM4329 device

  [ Salvatore Bonaccorso ]
  * Update to linux-support 6.1.0-4
  * debian/copyright: Drop exclude-patters for files not anymore included
    upstream
  * misc-nonfree: linux-firmware: update firmware for mediatek bluetooth chip
    (MT7921)
  * misc-nonfree: linux-firmware: update firmware for MT7921 WiFi device
  * iwlwifi: remove old unsupported older than 4.14 LTS
  * iwlwifi: remove 4.19 and 5.4 intermediate old firmwares
  * iwlwifi: remove 5.4 and 5.10 intermediate old firmwares
  * iwlwifi: remove 5.10 and 5.15 intermediate old firmwares
  * iwlwifi: remove old intermediate 5.15+ firmwares
  * amd-graphics: amdgpu: Add DCN 3.1.4 firmware
  * amd-graphics: amdgpu: Add GC 11.0.1 firmware
  * amd-graphics: amdgpu: Add SDMA 6.0.1 fimware
  * amd-graphics: amdgpu: Add PSP 13.0.4 firmware
  * amd-graphics: amdgpu: Add VCN 4.0.2 firmware
  * brcm80211: brcm: revert firmware files for Cypress devices
  * misc-nonfree: i915: Add DMC v2.18 for ADLP
  * misc-nonfree: i915: Add DMC v2.11 for MTL
  * Update module info from linux 6.1.0-4 on amd64

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 11 Feb 2023 21:28:33 +0100

firmware-nonfree (20230117-2) unstable; urgency=medium

  [ Dmitry Baryshkov ]
  * qcom-soc: correct the description of qcom/leia*.fw
  * qcom-soc: add firmware for Adreno 200 family of GPU

  [ Salvatore Bonaccorso ]
  * debian/copyright: Add stanza for qcom/yamato* files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 05 Feb 2023 15:13:43 +0100

firmware-nonfree (20230117-1) unstable; urgency=medium

  * New upstream version:
    - atheros: qca: Update firmware files for BT chip WCN6750
    - amd-graphics: Update renoir PSP firmware
    - amd-graphics: update renoir DMCUB firmware

  [ Didier Raboud ]
  * misc-nonfree: Update firmware for mediatek bluetooth chip (MT7922)
  * misc-nonfree: Update firmware for mediatek bluetooth chip (MT7921)
  * misc-nonfree: Update firmware for MT7922 WiFi device
  * misc-nonfree: Update firmware for MT7921 WiFi device
  * misc-nonfree: Update firmware cxgb4 to revision 1.27.1.0
  * amd-graphics: Update copyright date
  * iwlwifi: update 9000-family firmwares to core75-47
  * iwlwifi: update PNVM firmwares from core76-35 release
  * amd-graphics: update GC11.0.0 firmware from amd-5.4
  * amd-graphics: update PSP13.0.0 firmware from amd-5.4
  * amd-graphics: update SDMA6.0.0 firmware from amd-5.4
  * amd-graphics: update SMU13.0.0 firmware from amd-5.4
  * amd-graphics: update VCN4.0.0 firmware from amd-5.4
  * amd-graphics: add DCN3.2.1 firmware from amd-5.4
  * amd-graphics: add GC11.0.2 firmware from amd-5.4
  * amd-graphics: add PSP13.0.7 firmware from amd-5.4
  * amd-graphics: add SDMA6.0.2 firmware from amd-5.4
  * amd-graphics: add SMU13.0.7 firmware from amd-5.4
  * amd-graphics: add VCN4.0.4 firmware from amd-5.4
  * iwlwifi: Update firmware file for Intel Bluetooth 9260
  * iwlwifi: Update firmware file for Intel Bluetooth 9560
  * iwlwifi: Update firmware file for Intel Bluetooth AX200
  * iwlwifi: Update firmware file for Intel Bluetooth AX210
  * iwlwifi: Update firmware file for Intel Bluetooth AX211
  * iwlwifi: Update firmware file for Intel Bluetooth AX201
  * realtek: rtw89: 8852c: update fw to v0.27.56.10
  * Update modinfo from linux 6.1.0-3 on amd64

  [ Salvatore Bonaccorso ]
  * realtek: rtw89: 8852b: Add firmware to support RTL8852B chip
    (Closes: #1029708)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 31 Jan 2023 21:35:58 +0100

firmware-nonfree (20221214-5) unstable; urgency=medium

  * Add lintian overrides to appease bullseye's lintian:
     - license-problem-non-free-RFC (source): not needed for non-free
       packages, but needed since the move to non-free-firmware (which
       lintian 2.104.0 doesn't know about).
     - binary-with-bad-dynamic-table (firmware-qcom-soc): duplicate the
       existing override, without square brackets (since override formats
       changed across lintian versions).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 27 Jan 2023 19:47:36 +0100

firmware-nonfree (20221214-4) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Update to linux-support 6.1.0-1
  * Update to the new linux-support API:
     - Replace self.templates[foo] with self.templates.get*(foo),
       merging the self.process_package() substitution in passing.


=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: firmware-nonfree
-Section: non-free/kernel
+Section: non-free-firmware/kernel
 Priority: optional
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
@@ -11,7 +11,7 @@
 
 Package: firmware-linux
 Architecture: all
-Section: non-free/metapackages
+Section: non-free-firmware/metapackages
 Depends: firmware-linux-free, firmware-linux-nonfree (= ${binary:Version}), ${misc:Depends}
 Recommends: intel-microcode, amd64-microcode
 Description: Binary firmware for various drivers in the Linux kernel (metapackage)
@@ -20,7 +20,7 @@
 
 Package: firmware-linux-nonfree
 Architecture: all
-Section: non-free/metapackages
+Section: non-free-firmware/metapackages
 Depends: firmware-misc-nonfree (= ${binary:Version}), firmware-amd-graphics (= ${binary:Version}), ${misc:Depends}
 Recommends: intel-microcode, amd64-microcode
 Description: Binary firmware for various drivers in the Linux kernel (metapackage)
@@ -29,7 +29,7 @@
 
 Package: firmware-qcom-media
 Architecture: all
-Section: non-free/oldlibs
+Section: non-free-firmware/oldlibs
 Depends: firmware-qcom-soc, ${misc:Depends}
 Multi-Arch: foreign
 Description: Binary firmware for Qualcomm graphics/video (dummy package)
@@ -114,9 +114,11 @@
   * "Cyan Skillfish2" RLC firmware (amdgpu/cyan_skillfish2_rlc.bin)
   * "Cyan Skillfish2" SDMA firmware (amdgpu/cyan_skillfish2_sdma.bin)
   * "Cyan Skillfish2" SDMA1 firmware (amdgpu/cyan_skillfish2_sdma1.bin)
+  * DCN 3.1.4 DMCUB firmware (amdgpu/dcn_3_1_4_dmcub.bin)
   * DCN 3.1.5 DMCUB firmware (amdgpu/dcn_3_1_5_dmcub.bin)
   * DCN 3.1.6 DMCUB firmware (amdgpu/dcn_3_1_6_dmcub.bin)
   * DCN 3.2.0 DMCUB firmware (amdgpu/dcn_3_2_0_dmcub.bin)
+  * DCN 3.2.1 DMCUB firmware (amdgpu/dcn_3_2_1_dmcub.bin)
   * "Dimgrey Cavefish" CE firmware (amdgpu/dimgrey_cavefish_ce.bin)
   * "Dimgrey Cavefish" DMCUB firmware
     (amdgpu/dimgrey_cavefish_dmcub.bin)
@@ -161,6 +163,20 @@
   * GC 11.0.0 MES firmware (amdgpu/gc_11_0_0_mes.bin)
   * GC 11.0.0 PFP firmware (amdgpu/gc_11_0_0_pfp.bin)
   * GC 11.0.0 RLC firmware (amdgpu/gc_11_0_0_rlc.bin)
+  * GC 11.0.1 IMU firmware (amdgpu/gc_11_0_1_imu.bin)
+  * GC 11.0.1 ME firmware (amdgpu/gc_11_0_1_me.bin)
+  * GC 11.0.1 MEC firmware (amdgpu/gc_11_0_1_mec.bin)
+  * GC 11.0.1 MES firmware (amdgpu/gc_11_0_1_mes.bin)
+  * GC 11.0.1 MES1 firmware (amdgpu/gc_11_0_1_mes1.bin)
+  * GC 11.0. PFP firmware (amdgpu/gc_11_0_1_pfp.bin)
+  * GC 11.0.1 RLC firmware (amdgpu/gc_11_0_1_rlc.bin)
+  * GC 11.0.2 IMU firmware (amdgpu/gc_11_0_2_imu.bin)
+  * GC 11.0.2 ME firmware (amdgpu/gc_11_0_2_me.bin)
+  * GC 11.0.2 MEC firmware (amdgpu/gc_11_0_2_mec.bin)
+  * GC 11.0.2 MES1 firmware (amdgpu/gc_11_0_2_mes1.bin)
+  * GC 11.0.2 MES firmware (amdgpu/gc_11_0_2_mes.bin)
+  * GC 11.0.2 PFP firmware (amdgpu/gc_11_0_2_pfp.bin)
+  * GC 11.0.2 RLC firmware (amdgpu/gc_11_0_2_rlc.bin)
   * Ryzen 5000 ASD firmware (amdgpu/green_sardine_asd.bin)
   * Ryzen 5000 CE firmware (amdgpu/green_sardine_ce.bin)
   * Ryzen 5000 DMCUB firmware (amdgpu/green_sardine_dmcub.bin)
@@ -212,18 +228,3 @@
     (amdgpu/kabini_sdma.bin)
   * Radeon HD 8100/8200/8300/8400 series SDMA1 microcode
     (amdgpu/kabini_sdma1.bin)
-  * Radeon HD 8100/8200/8300/8400 series UVD microcode
-    (amdgpu/kabini_uvd.bin)
-  * Radeon HD 8100/8200/8300/8400 series VCE microcode
-    (amdgpu/kabini_vce.bin)
-  * Radeon R5/R7 IGP 200 series CE microcode (amdgpu/kaveri_ce.bin)
-  * Radeon R5/R7 IGP 200 series ME microcode (amdgpu/kaveri_me.bin)
-  * Radeon R5/R7 IGP 200 series MEC microcode (amdgpu/kaveri_mec.bin)
-  * Radeon R5/R7 IGP 200 series MEC microcode (amdgpu/kaveri_mec2.bin)
-  * Radeon R5/R7 IGP 200 series PFP microcode (amdgpu/kaveri_pfp.bin)
-  * Radeon R5/R7 IGP 200 series RLC microcode (amdgpu/kaveri_rlc.bin)
-  * Radeon R5/R7 IGP 200 series SDMA microcode (amdgpu/kaveri_sdma.bin)
-  * Radeon R5/R7 IGP 200 series SDMA1 microcode
-    (amdgpu/kaveri_sdma1.bin)
-  * Radeon R5/R7 IGP 200 series UVD microcode (amdgpu/kaveri_uvd.bin)
-  * Radeon R5/R7 IGP 200 series VCE microcode (amdgpu/kaveri_vce.bin)

=== debian/rules ===
#!/usr/bin/make -f
SHELL := sh -e
SOURCE := $(shell dpkg-parsechangelog -SSource)
VERSION := $(shell dpkg-parsechangelog -SVersion)
VERSION_UPSTREAM := $(shell echo "$(VERSION)" | sed -e 's,-[^-]*$$,,')
VERSION_BINNMU := $(shell echo "$(VERSION)" | sed -rne 's,.*\+b([0-9]+)$$,\1,p')
VERSION_SOURCE := $(patsubst %+b$(VERSION_BINNMU),%,$(VERSION))

include debian/rules.defs

GENCONTROL = debian/bin/gencontrol.py

# Nothing to build
build-indep build-arch build: debian/control

clean: debian/control
	dh_testdir
	rm -rf debian/build debian/lib/python/__pycache__
	dh_clean

binary-indep: build-indep
	dh_testdir
	./copy-firmware.sh -v debian/build/install
	$(MAKE) -f debian/rules.gen binary-indep

binary-arch: build-arch

binary:	binary-indep binary-arch

CONTROL_FILES = debian/build/version-info $(wildcard debian/templates/*.in)
CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) debian/modinfo.json

# debian/bin/gencontrol.py uses debian/changelog as input, but the
# output only depends on the source name and version.  To avoid
# frequent changes to debian/control.md5sum, include only those fields
# in the checksum.
debian/build/version-info: debian/changelog
	mkdir -p $(@D)
	printf >$@ 'Source: %s\nVersion: %s\n' $(SOURCE) $(VERSION_SOURCE)

debian/control debian/rules.gen: $(GENCONTROL) $(CONTROL_FILES)
ifeq ($(wildcard debian/control.md5sum),)
	$(MAKE) -f debian/rules debian/control-real
else
	md5sum --check debian/control.md5sum --status || \
		$(MAKE) -f debian/rules debian/control-real
endif

debian/control-real: $(GENCONTROL) $(CONTROL_FILES)
# We currently need to run copy-firmware.sh to get a complete list of
# symlinks to include in package descriptions.
	./copy-firmware.sh debian/build/install
	$(GENCONTROL) /usr/src/linux-support-$(KERNELVERSION)
	md5sum $^ > debian/control.md5sum
	@echo
	@echo This target is made to fail intentionally, to make sure
	@echo that it is NEVER run during the automated build. Please
	@echo ignore the following error, the debian/control file has
	@echo been generated SUCCESSFULLY.
	@echo
	exit 1

DIR_ORIG = ../orig/$(SOURCE)-$(VERSION_UPSTREAM)
TAR_ORIG_NAME = $(SOURCE)_$(VERSION_UPSTREAM).orig.tar.xz
TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))

orig: $(DIR_ORIG)
	rsync --delete --exclude /debian --exclude /.git --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .
	QUILT_PATCHES='$(CURDIR)/debian/patches' QUILT_PC=.pc quilt push --quiltrc - -a -q --fuzz=0

$(DIR_ORIG):
ifeq ($(TAR_ORIG),)
	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xaf $(TAR_ORIG)
endif

maintainerclean:
	-rm debian/control debian/control.md5sum debian/rules.gen
	rm -f debian/*.bug-presubj
	-rm debian/*.hook.*
	rm -f debian/*.metainfo.xml
	-rm debian/*.preinst
	-rm debian/*.postinst
	-rm debian/*.templates

linux-support-name:
	@echo linux-support-$(KERNELVERSION)

.PHONY: clean build-indep build-arch build binary-indep binary-arch binary \
	linux-support-name

## firmware-nonfree 20230404

=== debian/changelog ===
firmware-nonfree (20230404-1~mx21ahs) mx; urgency=medium

  * Rebuild for MX Linux.
  * Update to linux-support 6.3.0-1mx-ahs

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Jun 2023 13:39:44 -0700

firmware-nonfree (20230404-1) unstable; urgency=medium

  * New upstream version:
    - iwlwifi: update core69 and core72 firmwares for So device
    - realtek: rtw89: 8852b: rollback firmware to v0.27.32.1
    - realtek: rtw89: 8852b: update format-1 fw to v0.29.29.0
    - misc-nonfree: mediatek: Update mt8192/mt8195 SCP firmware to support
      MM21 and MT21
    - misc-nonfree: i915: Update ADLP DMC to v2.19
    - misc-nonfree: i915: Update MTL DMC to v2.12
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX210
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX211
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX203
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX101
    - realtek: rtw88: 8822c: Update normal firmware to v9.9.15
    - amd-graphics: amdgpu: Update DCN 3.1.4 firmware
    - amd-graphics: amdgpu: Update GC 11.0.1 firmware
    - amd-graphics: amdgpu: Update PSP 13.0.4 firmware
    - iwlwifi: update 9000-family firmwares to core78-32
    - misc-nonfree: linux-firmware: update firmware for mediatek bluetooth chip
      (MT7922)
    - misc-nonfree: linux-firmware: update firmware for MT7922 WiFi device
    - misc-nonfree: nvidia: update Tu10x and Tu11x signed firmware to support
      newer Turing HW

  [ Salvatore Bonaccorso ]
  * realtek: rtw89: 8852b: add format-1 fw v0.29.26.0
  * amd-graphics: amdgpu: Add GC 11.0.4 firmware
  * amd-graphics: amdgpu: Add PSP 13.0.11 firmware
  * Update module info from linux 6.3.0-1 on amd64

  [ Ben Hutchings ]
  * Update to linux-support 6.3.0-1

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 Jun 2023 21:30:15 +0200

firmware-nonfree (20230310-1~exp2) experimental; urgency=medium

  * intel-sound: intel: avs: Add AudioDSP base firmware for SKL-based platforms
    (Closes: #1035281)
  * intel-sound: intel: avs: Add AudioDSP base firmware for APL-based platforms
    (Closes: #1035281)
  * intel-sound: intel: avs: Add AudioDSP base firmware for CNL-based platforms
    (Closes: #1035281)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 02 May 2023 18:03:22 +0200

firmware-nonfree (20230310-1~exp1) experimental; urgency=medium

  * New upstream version:
    - amdgpu: Update GC 11.0.1 firmware
    - ath10k: WCN3990 hw1.0: update board-2.bin
    - ath11k: WCN6750 hw1.0: update board-2.bin
    - ath11k: WCN6855 hw2.0: update board-2.bin
    - rtl_bt: Update RTL8852C BT USB firmware to 0xD7B8_FABF
    - rtl_bt: Update RTL8822C BT UART firmware to 0x05C6_D2E3
    - rtl_bt: Update RTL8822C BT USB firmware to 0x0CC6_D2E3

  [ Salvatore Bonaccorso ]
  * Exclude ath9k_htc/htc_{7010,9271}-1.4.0.fw files from generated orig
    tarball
  * intel-sound: catpt: Add AudioDSP base firmware for BDW platforms
  * atheros: ath10k: QCA6174 hw3.0: update firmware-sdio-6.bin to version
    WLAN.RMH.4.4.1-00174
  * atheros: ath11k: WCN6855 hw2.0: update to
    WLAN.HSP.1.1-03125-QCAHSPSWPL_V1_V2_SILICONZ_LITE-3.6510.23
  * realtek: rtw89: 8852b: update fw to v0.29.26.0
  * realtek: rtw89: 8852b: update fw to v0.29.29.0
  * misc-nonfree: linux-firmware: update firmware for MT7921 WiFi device
  * misc-nonfree: linux-firmware: update firmware for mediatek bluetooth chip
    (MT7921)
  * iwlwifi: iwlwifi: update core69 and core72 firmwares for Ty device
  * iwlwifi: Add missing stanza for iwlwifi-so-a0-gf4-a0-72.ucode firmware
  * Update to linux-support 6.1.0-7

  [ Diederik de Haas ]
  * d/patches/gitignore: Add DEP-3 header
  * d/README.source: Expand steps to regenerate debian/control
  * d/config/*/defines: Replace 'wifi' with 'Wi-Fi'

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 01 Apr 2023 20:38:58 +0200

=== debian/control ===
--- 
+++ 
@@ -177,6 +177,13 @@
   * GC 11.0.2 MES firmware (amdgpu/gc_11_0_2_mes.bin)
   * GC 11.0.2 PFP firmware (amdgpu/gc_11_0_2_pfp.bin)
   * GC 11.0.2 RLC firmware (amdgpu/gc_11_0_2_rlc.bin)
+  * GC 11.0.4 IMU firmware (amdgpu/gc_11_0_4_imu.bin)
+  * GC 11.0.4 ME firmware (amdgpu/gc_11_0_4_me.bin)
+  * GC 11.0.4 MEC firmware (amdgpu/gc_11_0_4_mec.bin)
+  * GC 11.0.4 MES firmware (amdgpu/gc_11_0_4_mes.bin)
+  * GC 11.0.4 MES1 firmware (amdgpu/gc_11_0_4_mes1.bin)
+  * GC 11.0.4 PFP firmware (amdgpu/gc_11_0_4_pfp.bin)
+  * GC 11.0.4 RLC firmware (amdgpu/gc_11_0_4_rlc.bin)
   * Ryzen 5000 ASD firmware (amdgpu/green_sardine_asd.bin)
   * Ryzen 5000 CE firmware (amdgpu/green_sardine_ce.bin)
   * Ryzen 5000 DMCUB firmware (amdgpu/green_sardine_dmcub.bin)
@@ -219,12 +226,3 @@
   * Radeon HD 8100/8200/8300/8400 series ME microcode
     (amdgpu/kabini_me.bin)
   * Radeon HD 8100/8200/8300/8400 series MEC microcode
-    (amdgpu/kabini_mec.bin)
-  * Radeon HD 8100/8200/8300/8400 series PFP microcode
-    (amdgpu/kabini_pfp.bin)
-  * Radeon HD 8100/8200/8300/8400 series RLC microcode
-    (amdgpu/kabini_rlc.bin)
-  * Radeon HD 8100/8200/8300/8400 series SDMA microcode
-    (amdgpu/kabini_sdma.bin)
-  * Radeon HD 8100/8200/8300/8400 series SDMA1 microcode
-    (amdgpu/kabini_sdma1.bin)

## firmware-nonfree 20230515

=== debian/changelog ===
firmware-nonfree (20230515-3.1) experimental; urgency=medium

  * Non-maintainer upload.
  * add gc_11_0_4_mes_2.bin

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 11 Oct 2023 08:50:23 +0200

firmware-nonfree (20230515-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update to linux-support 6.3.0-2
  * misc-nonfree: i915: Add HuC 7.10.3 for DG2 (Closes: #1040012)

  [ Stuart Hayhurst ]
  * iwlwifi: Add missing iwlwifi-ty-a0-gf-a0-73.ucode and
    iwlwifi-ty-a0-gf-a0-74.ucode

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 04 Jul 2023 16:44:14 +0200

firmware-nonfree (20230515-2) unstable; urgency=medium

  * Add compatibility links for old Mediatek WiFi firmware afer move to mediatek
    folder (Closes: #1039576)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 27 Jun 2023 15:16:13 +0200

firmware-nonfree (20230515-1) unstable; urgency=medium

  * New upstream version:
    - atheros: ath10k: QCA4019 hw1.0: update board-2.bin
    - atheros: ath10k: QCA6174 hw3.0: update board-2.bin
    - atheros: ath10k: QCA9888 hw2.0: update board-2.bin
    - atheros: ath10k: QCA9984 hw1.0: update board-2.bin
    - atheros: ath10k: QCA99X0 hw2.0: update board-2.bin
    - atheros: ath11k: IPQ6018 hw1.0: update board-2.bin
    - atheros: ath11k: IPQ6018 hw1.0: update to
      WLAN.HK.2.7.0.1-01744-QCAHKSWPL_SILICONZ-1
    - atheros: ath11k: IPQ8074 hw2.0: update board-2.bin
    - atheros: ath11k: IPQ8074 hw2.0: update to
      WLAN.HK.2.7.0.1-01744-QCAHKSWPL_SILICONZ-1
    - atheros: ath11k: QCN9074 hw1.0: update to
      WLAN.HK.2.7.0.1-01744-QCAHKSWPL_SILICONZ-1
    - atheros: ath11k: WCN6750 hw1.0: update to
      WLAN.MSL.1.0.1-01160-QCAMSLSWPLZ-1
    - atheros: ath11k: WCN6855 hw2.0: update board-2.bin
    - realtek: rtw89: 8852c: update fw to v0.27.56.13
    - realtek: rtw89: 8852b: update format-1 fw to v0.29.29.1
    - misc-nonfree: linux-firmware: update qat firmware
    - misc-nonfree: linux-firmware: update firmware for mediatek bluetooth chip
      (MT7921)
    - misc-nonfree: linux-firmware: update firmware for MT7921 WiFi device
    - misc-nonfree: mt76xx: Move the old Mediatek WiFi firmware to mediatek
    - atheros: qca: Update firmware files for BT chip WCN6750
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX210
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX211
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX203
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX201
    - iwlwifi: linux-firmware: Update firmware file for Intel Bluetooth AX200
    - realtek: rtl_nic: update firmware of USB devices
    - realtek: rtl_bt: Update RTL8761B BT UART firmware to 0x9DC6_D922
    - realtek: rtl_bt: Update RTL8761B BT USB firmware to 0xDFC6_D922
    - realtek: rtl_bt: Update RTL8852B BT USB firmware to 0xDBC6_B20F
    - amd-graphics: amdgpu: update DCN 3.1.6 DMCUB firmware
    - misc-nonfree: linux-firmware: update firmware for MT7922 WiFi device
    - misc-nonfree: linux-firmware: update firmware for mediatek bluetooth chip
      (MT7922)

  [ Salvatore Bonaccorso ]
  * realtek: rtl_bt: Add firmware and config files for RTL8851B

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 Jun 2023 09:03:51 +0200

=== debian/control ===
--- 
+++ 
@@ -168,6 +168,7 @@
   * GC 11.0.1 MEC firmware (amdgpu/gc_11_0_1_mec.bin)
   * GC 11.0.1 MES firmware (amdgpu/gc_11_0_1_mes.bin)
   * GC 11.0.1 MES1 firmware (amdgpu/gc_11_0_1_mes1.bin)
+  * GC 11.0.1 MES2 firmware (amdgpu/gc_11_0_1_mes_2.bin)
   * GC 11.0. PFP firmware (amdgpu/gc_11_0_1_pfp.bin)
   * GC 11.0.1 RLC firmware (amdgpu/gc_11_0_1_rlc.bin)
   * GC 11.0.2 IMU firmware (amdgpu/gc_11_0_2_imu.bin)
@@ -182,6 +183,7 @@
   * GC 11.0.4 MEC firmware (amdgpu/gc_11_0_4_mec.bin)
   * GC 11.0.4 MES firmware (amdgpu/gc_11_0_4_mes.bin)
   * GC 11.0.4 MES1 firmware (amdgpu/gc_11_0_4_mes1.bin)
+  * GC 11.0.4 MES2 firmware (amdgpu/gc_11_0_4_mes_2.bin)
   * GC 11.0.4 PFP firmware (amdgpu/gc_11_0_4_pfp.bin)
   * GC 11.0.4 RLC firmware (amdgpu/gc_11_0_4_rlc.bin)
   * Ryzen 5000 ASD firmware (amdgpu/green_sardine_asd.bin)
@@ -223,6 +225,3 @@
   * Radeon R9 290 series VCE microcode (amdgpu/hawaii_vce.bin)
   * Radeon HD 8100/8200/8300/8400 series CE microcode
     (amdgpu/kabini_ce.bin)
-  * Radeon HD 8100/8200/8300/8400 series ME microcode
-    (amdgpu/kabini_me.bin)
-  * Radeon HD 8100/8200/8300/8400 series MEC microcode

## firmware-nonfree 20230625

=== debian/changelog ===
firmware-nonfree (20230625-1~mx21ahs) mx; urgency=medium

  * Rebuild for MX Linux.
  * d/rules.defs: Update to linux-support 6.5.0-5mxahs

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 13 Dec 2023 18:05:16 -0800

firmware-nonfree (20230625-1) unstable; urgency=medium

  [ Dmitry Baryshkov ]
  * New upstream version:
    - cxgb4: Update firmware to revision 1.27.3.0
    - rtlwifi: Update firmware for RTL8188EU to v28.0
    - rtlwifi: Add firmware v6.0 for RTL8192FU
    - ice: update ice DDP comms package to 1.3.40.0
    - amdgpu: DMCUB updates for various AMDGPU asics (Closes: #1040185)
    - amdgpu: update aldebaran firmware for amd.5.5 release
    - amdgpu: update sienna cichlid firmware for amd.5.5 release
    - amdgpu: update navy flounder firmware for amd.5.5 release
    - amdgpu: update GC 10.3.6 firmware for amd.5.5 release
    - amdgpu: update psp 13.0.5 firmware for amd.5.5 release
    - amdgpu: update vcn 3.1.2 firmware for amd.5.5 release
    - amdgpu: update arcturus firmware for amd.5.5 release
    - amdgpu: update dimgrey cavefish firmware for amd.5.5 release
    - amdgpu: update beige goby firmware for amd.5.5 release
    - amdgpu: update green sardine firmware for amd.5.5 release
    - amdgpu: update GC 11.0.0 firmware for amd.5.5 release
    - amdgpu: update PSP 13.0.0 firmware for amd.5.5 release
    - amdgpu: update SMU 13.0.0 firmware for amd.5.5 release
    - amdgpu: update VCN 4.0.0 firmware for amd.5.5 release
    - amdgpu: update renoir firmware for amd.5.5 release
    - amdgpu: update GC 11.0.2 firmware for amd.5.5 release
    - amdgpu: update PSP 13.0.7 firmware for amd.5.5 release
    - amdgpu: update SMU 13.0.7 firmware for amd.5.5 release
    - amdgpu: update VCN 4.0.4 firmware for amd.5.5 release
    - amdgpu: update vangogh firmware for amd.5.5 release
    - amdgpu: update GC 10.3.7 firmware for amd.5.5 release
    - amdgpu: update 13.0.8 firmware for amd.5.5 release
    - amdgpu: update GC 11.0.1 firmware for amd.5.5 release
    - amdgpu: update PSP 13.0.4 firmware for amd.5.5 release
    - amdgpu: update SDMA 6.0.1 firmware for amd.5.5 release
    - amdgpu: update GC 11.0.4 firmware for amd.5.5 release
    - amdgpu: update PSP 13.0.11 firmware for amd.5.5 release
    - amdgpu: update vega10 firmware for amd.5.5 release
    - amdgpu: update navi10 firmware for amd.5.5 release
    - amdgpu: update vega12 firmware for amd.5.5 release
    - amdgpu: update vega20 firmware for amd.5.5 release
    - amdgpu: update navi12 firmware for amd.5.5 release
    - amdgpu: update navi14 firmware for amd.5.5 release
    - amdgpu: update yellow carp firmware for amd.5.5 release
    - rtw89: 8851b: add firmware v0.29.41.0
    - amdgpu: Update GC 11.0.1 and 11.0.4 (Closes: #1053856)
    - brcm: Add symlinks from Pine64 devices to AW-CM256SM.txt
    - cirrus: Add firmware for new Asus ROG Laptops
    - qcom: apq8016: add Dragonboard 410c WiFi and modem firmware
    - mediatek: Update mt8195 SCP firmware to support hevc
    - i915: Add HuC v8.5.0 for MTL
    - linux-firmware: update firmware for mediatek bluetooth chip (MT7921)
    - linux-firmware: update firmware for mediatek bluetooth chip (MT7922)
    - linux-firmware: update firmware for MT7921 WiFi device
    - linux-firmware: update firmware for MT7922 WiFi device
    - amdgpu: DMCUB updates for various AMDGPU asics
    - rtl_bt: Update RTL8852C BT USB firmware to 0x040D_7225
    - rtl_bt: Update RTL8852A BT USB firmware to 0xDAC7_480D
    - qcom: sdm845: update remoteproc firmware
    - qcom: sdm845: rename the modem firmware
    - qcom: Update the microcode files for Adreno a630 GPUs.
    - fix broken cirrus firmware symlinks
    - amdgpu: update DMCUB to v0.0.172.0 for various AMDGPU ASICs
    - amdgpu: DMCUB updates for DCN 3.1.4 and 3.1.5
    - ice: update ice DDP wireless_edge package to 1.3.10.0
    - linux-firmware: wilc1000: update WILC1000 firmware to v16.0
    - check_whence: strip quotation marks
    - check_whence: error if File: is actually a link
    - check_whence: error if symlinks are in-tree
    - copy-firmware: quote deskdir and dirname
    - copy-firmware: tweak sed invocation
    - copy-firmware: drop obsolete backticks, quote
    - copy-firmware: silence the last shellcheck warnings
    - Makefile, copy-firmware: support xz/zstd compressed firmware
  * qcom-soc: add firmware for Qualcomm APQ8016 / db410c
  * atheros: ath11k: package firmware for ath11k/IPQ5018
  * atheros: QCA: add new board files for WCN6750
  * atheros: QCA: add firmware for QCA2026 (Closes: #1057039)

  [ Ben Hutchings ]
  * amd-graphics, qcom-soc: Add some missing file descriptions
  * Add/update file versions for recently updated files
  * d/copyright: Remove obsolete file exclusion

  [ Diederik de Haas ]
  * brcm80211: brcm: Enable symlinks from Pine64 devices to AW-CM256SM.txt

  [ Salvatore Bonaccorso ]
  * atheros: Add description for Bluetooth firmware for QCA2066
  * misc-nonfree: Add MediaTek mt8192 SCP firmware (Closes: #1043099)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 29 Nov 2023 11:10:54 +0100

firmware-nonfree (20230515-4) experimental; urgency=medium

  * Update to linux-support 6.5.0-4
  * d/rules.real: Run dh_movetousr if available
    - lintian: Update overrides to match files in either /lib/firmware or
      /usr/lib/firmware

 -- Ben Hutchings <benh@debian.org>  Fri, 24 Nov 2023 23:38:40 +0000

=== debian/control ===
--- 
+++ 
@@ -120,7 +120,7 @@
   * DCN 3.2.0 DMCUB firmware (amdgpu/dcn_3_2_0_dmcub.bin)
   * DCN 3.2.1 DMCUB firmware (amdgpu/dcn_3_2_1_dmcub.bin)
   * "Dimgrey Cavefish" CE firmware (amdgpu/dimgrey_cavefish_ce.bin)
-  * "Dimgrey Cavefish" DMCUB firmware
+  * "Dimgrey Cavefish" DMCUB firmware, version 0.0.172.0
     (amdgpu/dimgrey_cavefish_dmcub.bin)
   * "Dimgrey Cavefish" ME firmware (amdgpu/dimgrey_cavefish_me.bin)
   * "Dimgrey Cavefish" MEC firmware (amdgpu/dimgrey_cavefish_mec.bin)
@@ -168,7 +168,6 @@
   * GC 11.0.1 MEC firmware (amdgpu/gc_11_0_1_mec.bin)
   * GC 11.0.1 MES firmware (amdgpu/gc_11_0_1_mes.bin)
   * GC 11.0.1 MES1 firmware (amdgpu/gc_11_0_1_mes1.bin)
-  * GC 11.0.1 MES2 firmware (amdgpu/gc_11_0_1_mes_2.bin)
   * GC 11.0. PFP firmware (amdgpu/gc_11_0_1_pfp.bin)
   * GC 11.0.1 RLC firmware (amdgpu/gc_11_0_1_rlc.bin)
   * GC 11.0.2 IMU firmware (amdgpu/gc_11_0_2_imu.bin)
@@ -183,7 +182,6 @@
   * GC 11.0.4 MEC firmware (amdgpu/gc_11_0_4_mec.bin)
   * GC 11.0.4 MES firmware (amdgpu/gc_11_0_4_mes.bin)
   * GC 11.0.4 MES1 firmware (amdgpu/gc_11_0_4_mes1.bin)
-  * GC 11.0.4 MES2 firmware (amdgpu/gc_11_0_4_mes_2.bin)
   * GC 11.0.4 PFP firmware (amdgpu/gc_11_0_4_pfp.bin)
   * GC 11.0.4 RLC firmware (amdgpu/gc_11_0_4_rlc.bin)
   * Ryzen 5000 ASD firmware (amdgpu/green_sardine_asd.bin)
@@ -225,3 +223,5 @@
   * Radeon R9 290 series VCE microcode (amdgpu/hawaii_vce.bin)
   * Radeon HD 8100/8200/8300/8400 series CE microcode
     (amdgpu/kabini_ce.bin)
+  * Radeon HD 8100/8200/8300/8400 series ME microcode
+    (amdgpu/kabini_me.bin)
